<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Automate cellulaire: Référence de la structure regle</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Automate cellulaire
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Champs de données</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la structure regle</div>  </div>
</div><!--header-->
<div class="contents">

<p>Une regle.  
 <a href="structregle.html#details">Plus de détails...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Champs de données</h2></td></tr>
<tr class="memitem:a8c35c594e654c2a92873f1514e46cf28"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structregle.html#a8c35c594e654c2a92873f1514e46cf28">nombre_etat</a></td></tr>
<tr class="separator:a8c35c594e654c2a92873f1514e46cf28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2260faec26c7e458eac1791a03db49c9"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structregle.html#a2260faec26c7e458eac1791a03db49c9">numero_decimale</a></td></tr>
<tr class="separator:a2260faec26c7e458eac1791a03db49c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a821262df99649ddc1d41aede824b65dc"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structregle.html#a821262df99649ddc1d41aede824b65dc">numero_binaire</a></td></tr>
<tr class="separator:a821262df99649ddc1d41aede824b65dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaee555382d08e4f817d968c8e25e74ad"><td class="memItemLeft" align="right" valign="top">ptr_str_conf *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structregle.html#aaee555382d08e4f817d968c8e25e74ad">tab_configuration</a></td></tr>
<tr class="separator:aaee555382d08e4f817d968c8e25e74ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Une regle. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">nombre_etat</td><td>Le nombre d'état possible pour une cellule </td></tr>
    <tr><td class="paramname">numero_decimale</td><td>Le numero associé à l'une des regles possible </td></tr>
    <tr><td class="paramname">numero_binaire</td><td>Le numero de la regle converti en binaire </td></tr>
    <tr><td class="paramname">tab_configuration</td><td>Un tableau de configuration</td></tr>
  </table>
  </dd>
</dl>
<p>Une regle s'identifie par un numero qui définit lequel ou lesquels de ses configurations sera utilisé pour déterminer la cellule suivante. </p>

<p class="definition">Définition à la ligne <a class="el" href="regle_8c_source.html#l00031">31</a> du fichier <a class="el" href="regle_8c_source.html">regle.c</a>.</p>
</div><h2 class="groupheader">Documentation des champs</h2>
<a id="a8c35c594e654c2a92873f1514e46cf28"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c35c594e654c2a92873f1514e46cf28">&#9670;&nbsp;</a></span>nombre_etat</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int nombre_etat</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="regle_8c_source.html#l00032">32</a> du fichier <a class="el" href="regle_8c_source.html">regle.c</a>.</p>

</div>
</div>
<a id="a821262df99649ddc1d41aede824b65dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a821262df99649ddc1d41aede824b65dc">&#9670;&nbsp;</a></span>numero_binaire</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* numero_binaire</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="regle_8c_source.html#l00034">34</a> du fichier <a class="el" href="regle_8c_source.html">regle.c</a>.</p>

</div>
</div>
<a id="a2260faec26c7e458eac1791a03db49c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2260faec26c7e458eac1791a03db49c9">&#9670;&nbsp;</a></span>numero_decimale</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int numero_decimale</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="regle_8c_source.html#l00033">33</a> du fichier <a class="el" href="regle_8c_source.html">regle.c</a>.</p>

</div>
</div>
<a id="aaee555382d08e4f817d968c8e25e74ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaee555382d08e4f817d968c8e25e74ad">&#9670;&nbsp;</a></span>tab_configuration</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ptr_str_conf* tab_configuration</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="regle_8c_source.html#l00035">35</a> du fichier <a class="el" href="regle_8c_source.html">regle.c</a>.</p>

</div>
</div>
<hr/>La documentation de cette structure a été générée à partir du fichier suivant :<ul>
<li>src/<a class="el" href="regle_8c_source.html">regle.c</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
